gnutls_pk_bits_to_sec_param(3)

NAME
gnutls_pk_bits_to_sec_param - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_sec_param_t gnutls_pk_bits_to_sec_param(gnutls_pk_algorithm_t algo, unsigned int bits);

ARGUMENTS

gnutls_pk_algorithm_t algo
    is a public key algorithm

unsigned int bits
    is the number of bits

DESCRIPTION
This is the inverse of gnutls_sec_param_to_pk_bits(). Given an algorithm and the number of bits, it will return the security parameter. This is a rough indication.

RETURNS
The security parameter.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/